/*
 * Creado el 23-mar-04
 *
 * Para cambiar la plantilla para este archivo generado vaya a
 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios
 */
package es.ejie.frmk.admon.logs;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Comparator;
import java.util.Date;

import es.ejie.frmk.infraestructura.logs.base.Q70ConstantesLogs;

/**
 * @version 1.0
 * Fecha: 23-mar-04
 */
public class Q70LogDateComparator implements Comparator
{
	public Q70LogDateComparator()
	{
	}
	
	/**
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(Object arg0, Object arg1)
	{
		String subString1 = ((Q70ApunteLog)arg0).getFecha();
		String subString2 = ((Q70ApunteLog)arg1).getFecha();
		
		if(subString1.equals(subString2))
			return 0;
			
		SimpleDateFormat formatter= new SimpleDateFormat (Q70ConstantesLogs.DATE_FORMAT);
		try {
			Date date1= formatter.parse(subString1);
			Date date2 = formatter.parse(subString2);
	
			//comparar las dos fechas
			if(date1.compareTo(date2)>0)
				return -1;
			else
				return 1;
	
		} catch (ParseException e) 
		{
			return -1;
		}	
	}
}
